import './style.css';

type SeparatorProps = {
  pageName: String,
  pageLink: string,
  secondLink?: string
}

function SeparatorWithAnchor(props: SeparatorProps) {
  return (
    <div class={"flex flex-row justify-between divider mb-2"}>
      <h1 className="text-sm font-bold" style={{ textTransform: 'uppercase' }}>
        <a href={props.pageLink}>{props.pageName}</a>
      </h1>
      {props.secondLink &&
        <a href={props.secondLink} className={"text-xs"}>View all</a>
      }
    </div>
  )
}

export default SeparatorWithAnchor;